Five Stars

Vertica Driver

I am trying to connect to a Vertica database.  I get a message saying I need to have the driver - vertica-jdbc-7.0.1-0.jar.  I have vertica-jdbc-7.1.1-0.jar.  When I try to install it in Talend by clicking the last column, nothing happens.  I checked the Vertica website and the version required by Talend is not available, only 7.1 and 7.2.
Any thoughts?
4 REPLIES
Six Stars

Re: Vertica Driver

You should be able to update the .xml file for the Vertica components to import the newer jar. For example take a look at the <IMPORTS> section in:
Talend-Studio-20151214_1327-V6.1.1\plugins\org.talend.designer.components.localprovider_6.1.1.20151214_1327\components\tVerticaConnection\tVerticaConnection_java.xml 

Re: Vertica Driver

Hi,
I tried editing the XML file but it is still not working. I even restarted Talend.
Nothing happens when I try to install the new jar.
Could you please tell me how to install vertica-jdc jar in Talend 6.0 for Big Data?
One Star

Re: Vertica Driver

Hi 
I am also trying to connect to vertica via talend, and stuck to following screen.
It seems its looking for JDBC JAR File, despite of pointing to the local directory, its unable to pick and i am not able to set the connection for vertica at all.
One Star

Re: Vertica Driver

Hi,
I am in a similar configuration. I use Talend Open Studio for Data Integration version 6.3.0 with HPE Vetica 7.2.
How can I upgrade the JDBC driver?
thank you.